%global srcname platformdirs

Name:           python-%{srcname}
Version:        3.11.0
Release:        1%{?dist}
Summary:        Python module for determining appropriate platform-specific dirs
License:        MIT
URL:            https://github.com/platformdirs/platformdirs
Source0:        https://files.pythonhosted.org/packages/source/p/platformdirs/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

%global common_description %{expand:
A small Python module for determining appropriate platform-specific dirs, e.g.
a "user data dir".}


%description %{common_description}


%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros


%description -n python3-%{srcname} %{common_description}


%prep
%autosetup -n %{srcname}-%{version}

sed -r -i '/^[[:blank:]]*"pytest-cov\b/d' pyproject.toml
sed -r -i '/^[[:blank:]]*"covdefaults\b/d' pyproject.toml


%generate_buildrequires
%pyproject_buildrequires -x test

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%pytest


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst


%changelog
* Mon Mar 24 2025 bbrucezhang <bbrucezhang@tencent.com> - 3.11.0-1
- Update to 3.11.0 for python-virtualenv

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.4-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.4-3
- Rebuilt for loongarch release

* Tue Jul 9 2024 Shuo Wang <abushwang@tencent.com> - 2.5.4-2
- remove unused rm license

* Mon Sep 25 2023 jackeyji <jackeyji@tencent.com> - 2.5.4-1
- upgrade to 2.5.4

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 29 2022 Shuo Wang <abushwang@tencent.com> - 2.3.0-1
- initial build
